Page MenuHomePhabricator

Add default value for MachineInstr::modifiesRegister. NFC.
ClosedPublic

Authored by chill on Oct 17 2020, 8:51 AM.

Details

Summary

Looks accidentally omitted, it's present on readsRegister, definesRegister and few others.

Diff Detail

Event Timeline

chill created this revision.Oct 17 2020, 8:51 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 17 2020, 8:51 AM
chill requested review of this revision.Oct 17 2020, 8:51 AM
yroux added a comment.Nov 2 2020, 1:32 AM

I'd check if there are some calls of modifiesRegister that pass nullptr, the patch LGTM otherwise

chill added a comment.Nov 2 2020, 7:28 AM

I'd check if there are some calls of modifiesRegister that pass nullptr, the patch LGTM otherwise

AFAICT, there's one such call, in the Hexagon backend, but I don't think we should change it (or other places) to take advantage of the default value.

yroux accepted this revision.Nov 3 2020, 5:27 AM

LGTM

This revision is now accepted and ready to land.Nov 3 2020, 5:27 AM
This revision was automatically updated to reflect the committed changes.